---
id: 671b6e873249bb35c9debfcf
title: Step 12
challengeType: 0
dashedName: step-12
---

# --description--

Add the words `See more ` before the anchor element and ` in our gallery` after the anchor element.

# --hints--

You should use the existing anchor element, do not create a new one.

```js
assert.lengthOf(document.querySelectorAll('a'), 1);
```

The text inside the anchor element should not change, it must be `cat photos`.

```js
assert.strictEqual(document.querySelector('a')?.innerText?.replace(/\s+/g, ' ').trim(), "cat photos");
```

You should have `See more <a href="https://freecatphotoapp.com">cat photos</a> in our gallery` in your code.

```js
assert.match(code, /See more\s+<a href="https:\/\/freecatphotoapp\.com">cat photos<\/a>\s+in our gallery/);
```

# --seed--

## --seed-contents--

```html
<html>
  <body>
    <main>
      <h1>CatPhotoApp</h1>
      <h2>Cat Photos</h2>
      <!-- TODO: Add link to cat photos -->
      <p>Everyone loves cute cats online!</p>
--fcc-editable-region--
      <a href="https://freecatphotoapp.com">cat photos</a>
--fcc-editable-region--
      <img src="https://cdn.freecodecamp.org/curriculum/cat-photo-app/relaxing-cat.jpg" alt="A cute orange cat lying on its back.">
    </main>
  </body>
</html>
```
